### Method

# Gimp Procedure add_unit_return_value

since: 3.0

#### Declaration [src]

    void
    gimp_procedure_add_unit_return_value (
      GimpProcedure* procedure,
      const gchar* name,
      const gchar* nick,
      const gchar* blurb,
      gboolean show_pixels,
      gboolean show_percent,
      GimpUnit* value,
      GParamFlags flags
    )

#### Description [src]

Add a new `GimpUnit` return value to `procedure`.

Available since: 3.0

#### Parameters

`name`

  Type: `const gchar*`

  The name of the argument to be created.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`nick`

  Type: `const gchar*`

  The label used in `GimpProcedureDialog`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`blurb`

  Type: `const gchar*`

  A more detailed help description.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`show_pixels`

  Type: `gboolean`

  Whether to allow pixels as a valid option.

`show_percent`

  Type: `gboolean`

  Whether to allow percent as a valid option.

`value`

  Type: `GimpUnit`

  The default value.

  The data is owned by the caller of the method.

`flags`

  Type: `GParamFlags`

  Argument flags.